import { h, Component } from 'preact';
import WBNavbarCommon from 'wb-navbar-common';
import WBUserListing from 'wb-user-listing';

class WBUsersPage extends Component {
  getUrl(page) {
    return ('/users/' + page);
  }

  render({ app, page }) {
    return (
      <div>
        <WBNavbarCommon app={ app } activeItem="all-users" />

        <WBUserListing app={ app } page={ Number(page || 0) }
          getPageUrl={ page => this.getUrl(page) } />
      </div>
    );
  }
};

export default WBUsersPage;
